[
  {
    "id": "a23d6f8379f5109eddeb5bbf78bdccc1",
    "id_v2": "0d9d0702b203d224ace3e6eb94531dde",
    "id_v3": "AA_2178_DFW_2026_04_22",
    "airlineId": "AA",
    "flightNumber": 2178,
    "flightCode": "AA2178",
    "departureAirportId": "DFW",
    "arrivalAirportId": "LAS",
    "departureTimeLocal": "2026-04-22T16:45:00-05:00",
    "departureTimeUtc": "2026-04-22T21:45:00Z",
    "arrivalTimeLocal": "2026-04-22T17:46:00-07:00",
    "arrivalTimeUtc": "2026-04-23T00:46:00Z",
    "flightEquipmentId": "32Q",
    "durationMinutes": 181,
    "isCargoFlight": false,
    "airlineStCode": "st_AAL",
    "departureAirportIata": "DFW",
    "arrivalAirportIata": "LAS",
    "flightEquipmentIata": "32Q",
    "seatsTotal": 196,
    "seatsByClass": {
      "first": 0,
      "business": 20,
      "premiumEconomy": 0,
      "economy": 176
    },
    "isPriorityRequest": false
  }
]
